AUTOLOG(8)

NAZWA
autolog - wylogowuje nieaktywnych użytkowników

SKŁADNIA
autolog [ opcje ]

OPIS
Program ten czyta plik utmp, pozycja po pozycji. Nazwa użytkownika dla każdego z procesów użytkowników porównywana jest z zapisami w pliku konfiguracyjnym (zob. autolog.conf(5)). Pierwszy zapis pasujący zarówno do nazwy, grupy jak i linii terminalowej posłuży do przeprowadzenia automatycznego zakończenia sesji pracy użytkownika (wylogowania).

WYWOŁANIE

/etc/init.d/autolog start
lub
autolog
    aby uruchomić ten program w trybie demona

autolog -o
    aby uruchomić program jako "zwykły" program. Proszę pamiętać, że również w tym wypadku pozostanie on w pamięci dopóki nie wykona wszystkich swoich zadań.

OPCJE

-a  (all processes - wszystkie procesy) Pokazuje informację o WSZYSTKICH zapisach utmp -- nie tylko procesach użytkowników.

-d  (debugowanie) Pomocne przy regulowaniu pliku konfiguracyjnego. Program działa w tle zamiast rozwidlania (fork) i podaje szczegółowe komunikaty o tym, co robi.

-n  (nokill) W ten sposób zapobiega się faktycznemu "ubijaniu" przez autolog kogokolwiek. Przy regulowaniu nowego pliku konfiguracyjnego należy posłużyć się łącznie opcjami -d i -n. Opcja nie wpływa na zabijanie zagubionych procesów.

-o  (ordinary - zwykły). Ta opcja powoduje, że program działa jako zwykły program, nie demon. Program zakończy się po wykonaniu wszystkich swoich zadań. W takim przypadku trochę danych jest przechowywanych w /var/lib/autolog/autolog.data. Są one odczytywane przy ponownym uruchomieniu programu.

-f nazwa_pliku_konfiguracyjnego
    Unieważnia domyślne ustawienie pliku konfiguracyjnego: /etc/autolog.conf

-l nazwa_pliku_logu
    Unieważnia domyślne ustawienie nazwy pliku logu: /var/log/autolog.log. Proszę zauważyć, że jeśli plik ten nie istnieje, to nie nastąpi rejestrowanie do logu. Proszę utwórzyć plik (przy pomocy touch) by włączyć rejestrowanie działań.

-t czas_bezczynności
    Unieważnia wewnętrzny domyślny czas nieaktywności (w minutach).

-g okres_karencji
    Unieważnia wewnętrzny domyślny okres karencji (w sekundach).

-m yes/no
    Unieważnia wewnętrzny przełącznik wysyłania poczty. Ustawienie "yes" powoduje, że program będzie wysyłał pocztę do użytkowników zaraz po ich "ubiciu".

-c yes/no
    Unieważnia wewnętrzny przełącznik "pre-clear". Ustawienie "yes" powoduje, że program będzie czyścił ekran terminala przed ostrzeżeniem użytkownika.

-w yes/no
    Wylicza czasy oczekiwania w oparciu o całkowity czas sesji pracy -- nie czas nieaktywności (ciężkie).

-l yes/no
    Jeśli ustawiona na "yes", to działania będą rejestrowane w pliku logu, jeśli takowy istnieje.

AUTOR
Kyle Bateman <kyle@actarg.com> (autolog 0.35),
James Dingwall <james.dingwall@zynstra.com>
(autolog 0.41)

Niniejsza stronę podręcznika została zmodyfikowana do systemu Debian przez Paula Telforda <pxt@debian.org>

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.